---
- name: Check and modify environment variables
  hosts: ubuntutest
  become: true

  vars:
    environ_vars:
      - key: VARIABLE_1
        value: value_Yass4SS
      - key: VARIABLE_2
        value: value_YAss2A33
      # Add other variables here as needed

  tasks:
    - name: Check environment variables
      shell: grep -q "^{{ item.key }}={{ item.value }}$" /etc/environment
      ignore_errors: true
      changed_when: false
      register: var_check
      with_items: "{{ environ_vars }}"

    - name: Display the content of the /etc/environment file before changes
      command: cat /etc/environment
      when: var_check.results | selectattr('failed', 'true') | list | length > 0

    - name: Modify environment variables if necessary
      lineinfile:
        dest: /etc/environment
        regexp: "^{{ item.key }}="
        line: "{{ item.key }}={{ item.value }}"
        state: present
      when: var_check.results | selectattr('failed', 'true') | list | length > 0
      with_items: "{{ environ_vars }}"

    - name: restart_server
      command: shutdown -r now
      async: 1
      poll: 0
      ignore_errors: true
      when: var_check.results | selectattr('failed', 'true') | list | length > 0
      
    - name: Wait for SSH to become available
      wait_for:
        host: "{{ ansible_host }}"
        port: 22
        state: started
        delay: 30
        timeout: 600
      when: var_check.results | selectattr('failed', 'true') | list | length > 0
      become: false
      delegate_to: localhost

    - name: Check if stdout equals a specific value
      command: echo ${{ item.key }}
      register: command_output
      loop: "{{ environ_vars }}"
      changed_when: false
      loop_control:
        label: "{{ item.key }}"

    - name: Assert stdout is equal to a specific value
      assert:
        that:
          - command_output.results[item_index].stdout == item.value
        fail_msg: "stdout of {{ item.key }} is not equal to {{ item.value }}"
      loop: "{{ environ_vars }}"
      loop_control:
        index_var: item_index